Create Catalog Families
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"manufacturerCompanyId": "<string>",
"code": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families"
payload = {
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"manufacturerCompanyId": "<string>",
"code": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
manufacturerCompanyId: '<string>',
code: '<string>'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/catalog-families', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "draft",
"itemType": "default",
"position": 123,
"categoryId": "<string>",
"productTypeId": "<string>",
"code": "<string>",
"categoryName": "<string>",
"primaryImageUrl": "<string>",
"columnsAttributes": {},
"primaryItemId": "<string>",
"primaryItemName": "<string>",
"primaryItemVersion": 123,
"primaryItemColumnsAttributes": {},
"primaryFamilySourceId": "<string>",
"primarySourceContactCompany": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"available": true,
"identity": {
"globalCompany": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"version": 123,
"suggestion": {
"candidates": [
{
"company": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"nameMatch": true,
"matchingHosts": [
"<string>"
],
"typeMatch": true
}
],
"expectedVersion": 123,
"evidenceFingerprint": "<string>"
}
}
},
"primarySourceContactOffice": {
"id": "<string>",
"name": "<string>",
"address": "<string>",
"currency": "USD",
"available": true
},
"primaryFamilySourceVersion": 123,
"primarySourceColumnsAttributes": {},
"primaryItemSourceId": "<string>",
"primaryItemSourceVersion": 123,
"primaryItemSourceColumnsAttributes": {},
"metadata": {},
"partsCount": 123,
"materialsCount": 123,
"usedAsParts": true,
"catalogAlternativeCount": 123,
"similarItemsCount": 123,
"coreChangePolicy": {},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"manufacturerCompany": {
"id": "<string>",
"name": "<string>",
"available": true,
"identity": {
"globalCompany": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"version": 123,
"suggestion": {
"candidates": [
{
"company": {
"id": "<string>",
"name": "<string>",
"primaryType": "brand",
"legalName": "<string>",
"country": "<string>",
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"retiredAt": "<string>"
},
"nameMatch": true,
"matchingHosts": [
"<string>"
],
"typeMatch": true
}
],
"expectedVersion": 123,
"evidenceFingerprint": "<string>"
}
}
},
"restored": true,
"deletedAt": "<string>",
"images": [
{
"id": "<string>",
"familyId": "<string>",
"url": "<string>",
"filename": "<string>",
"isPrimary": true,
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
]
}
],
"items": [
{
"id": "<string>",
"familyId": "<string>",
"name": "<string>",
"isPrimary": true,
"columnsAttributes": {},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
]
}
],
"enrichedParts": [
{
"id": "<string>",
"itemId": "<string>",
"partItemId": "<string>",
"partItemName": "<string>",
"partItemColumnsAttributes": {},
"partItemVersion": 123,
"quantity": "<string>",
"createdAt": "<string>",
"partFamily": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"itemType": "<string>",
"categoryId": "<string>",
"categoryName": "<string>",
"primaryImageUrl": "<string>",
"partsCount": 123,
"materialsCount": 123,
"version": 123
},
"primaryItemSourceId": "<string>",
"sources": [
{
"id": "<string>",
"itemId": "<string>",
"familySourceId": "<string>",
"columnsAttributes": {},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
]
}
]
}
],
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
],
"finishesCount": 123,
"productsCount": 123
}Catalog Families
Create Catalog Families
POST
/
v1
/
workspaces
/
{workspaceId}
/
catalog-families
Create Catalog Families
Path Parameters
Body
application/json
Response
201 - application/json
Available options:
draft, new_from_project, new_from_collection, ready_to_use Available options:
default, material, template Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I